org.richfaces.resource.optimizer.skin

## Class SkinFactoryImpl

- java.lang.Object
- - org.richfaces.skin.SkinFactory
  - - org.richfaces.skin.AbstractSkinFactory
    - - org.richfaces.resource.optimizer.skin.SkinFactoryImpl

-     public class SkinFactoryImpl
      extends AbstractSkinFactory

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinFactoryImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Skin` | `getBaseSkin(javax.faces.context.FacesContext facesContext)` Get base `Skin` implementation
    `Skin` | `getDefaultSkin(javax.faces.context.FacesContext context)` Get default `Skin` implementation.
    `Skin` | `getSkin(javax.faces.context.FacesContext context)` Get current `Skin` implementation.
    `Theme` | `getTheme(javax.faces.context.FacesContext facesContext, String name)`
    `static void` | `setSkinName(String skinName)`

    - ### Methods inherited from class org.richfaces.skin.AbstractSkinFactory

      `buildSkin, getSkin, loadProperties, processProperties`

    - ### Methods inherited from class org.richfaces.skin.SkinFactory

      `getInstance, getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinFactoryImpl

          public SkinFactoryImpl()

  - ### Method Detail

    - #### setSkinName

          public static void setSkinName(String skinName)

    - #### getDefaultSkin

          public Skin getDefaultSkin(javax.faces.context.FacesContext context)

      Description copied from class: `SkinFactory`
      Get default `Skin` implementation.
      Specified by:
        `getDefaultSkin` in class `SkinFactory`
      Returns:

    - #### getSkin

          public Skin getSkin(javax.faces.context.FacesContext context)

      Description copied from class: `SkinFactory`
      Get current `Skin` implementation.
      Specified by:
        `getSkin` in class `SkinFactory`
      Returns:

    - #### getBaseSkin

          public Skin getBaseSkin(javax.faces.context.FacesContext facesContext)

      Description copied from class: `SkinFactory`
      Get base `Skin` implementation
      Specified by:
        `getBaseSkin` in class `SkinFactory`
      Returns:

    - #### getTheme

          public Theme getTheme(javax.faces.context.FacesContext facesContext,
                                String name)

      Specified by:
        `getTheme` in class `SkinFactory`
      Returns:

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.